// ignore_for_file: sized_box_for_whitespace

import 'package:flutter/material.dart';
import 'package:shimmer/shimmer.dart';

import '../../helper/helper.dart';

class ShimmerVoucherList extends StatelessWidget {
  const ShimmerVoucherList({
    Key? key,
    required this.widthScreen,
  }) : super(key: key);

  final double widthScreen;

  @override
  Widget build(BuildContext context) {
    return Container(
      height: MediaQuery.of(context).size.height * 0.54,
      width: widthScreen * 0.895,

      padding: EdgeInsets.only(
        top: MediaQuery.of(context).size.height * 0.02,
        bottom: MediaQuery.of(context).size.height * 0.03,
      ),
      // color: Colors.red,
      child: ListView.builder(
          itemCount: 3,
          itemBuilder: (contextVoucher, i) {
            return Shimmer.fromColors(
              baseColor: baseColorShimmer,
              highlightColor: highlightColorShimmer,
              child: Container(
                width: double.infinity,
                height: MediaQuery.of(context).size.height * 0.18,
                child: Column(
                  children: [
                    Container(
                      width: double.infinity,
                      height: MediaQuery.of(context).size.height * 0.08,
                      color: disabledColor,
                    ),
                    Container(
                      width: double.infinity,
                      height: MediaQuery.of(context).size.height * 0.01,
                    ),
                    Container(
                      width: double.infinity,
                      height: MediaQuery.of(context).size.height * 0.06,
                      color: disabledColor,
                    ),
                  ],
                ),
              ),
            );
          }),
    );
  }
}
